%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")

Summary: MoinMoin is a Python clone of WikiWiki
Name: moin
Version: 1.5.8
Release: 1%{?dist}
License: GPL
Group: Applications/Internet
URL: http://moinmoin.wikiwikiweb.de/
Source0: http://dl.sf.net/moin/moin-%{version}.tar.gz
Source1: README-rpm
Patch0: moin-1.5.2-config.patch
Patch1: moin-1.3.5-xml_newline.patch
Patch10: 10010_CVE-2007-0857.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: python-devel
BuildArch: noarch

%description
A WikiWikiWeb is a collaborative hypertext environment, with an emphasis on
easy access to and modification of information. MoinMoin is a Python
WikiClone that allows you to easily set up your own wiki, only requiring a
Web server and a Python installation.


%prep
%setup -q
%patch0 -p1 -b .config
%patch1 -p1 -b .xml_newline
%patch10 -p1 -b .CVE-2007-0857


%build
%{__python} setup.py build


%install
%{__rm} -rf %{buildroot} README-rpm
%{__python} setup.py install --root=%{buildroot}
%{__install} -p -m 0644 %{SOURCE1} README-rpm


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README README-rpm docs/CHANGES* docs/INSTALL.html docs/README.migration
%doc docs/licenses/
%{_bindir}/moin
%{python_sitelib}/MoinMoin/
%{_datadir}/moin/


%changelog
* Wed May 16 2007 Matthias Saou <http://freshrpms.net/> 1.5.8-1
- Update to 1.5.8, which includes most previous security fixes.
- Remove the (apparently) no longer needed dos2unix conversion for patch.
- Use %%{python_sitelib} macro.

* Mon May  7 2007 Matthias Saou <http://freshrpms.net/> 1.5.7-2
- Include security fixes from the Debian package (Jonas Smedegaard).
- FIX_use_ACL_in_include_directive (Alexander Schremmer).
- fix_MonthCalendar_respect_ACLs (Thomas Waldmann).
- FIX_XSS_in_AttachFile_do_parameter (Thomas Waldmann).
- CVE-2007-0857.

* Fri Feb  9 2007 Matthias Saou <http://freshrpms.net/> 1.5.7-1
- Update to 1.5.7.

* Mon Dec 11 2006 Matthias Saou <http://freshrpms.net/> 1.5.6-2
- Rebuild against python 2.5.
- Change python build requirement to python-devel, as it's needed now.

* Tue Oct 31 2006 Matthias Saou <http://freshrpms.net/> 1.5.6-1
- Update to 1.5.6.

* Mon Sep 18 2006 Matthias Saou <http://freshrpms.net/> 1.5.5-1
- Update to 1.5.5.

* Mon Aug 28 2006 Matthias Saou <http://freshrpms.net/> 1.5.4-3
- FC6 rebuild.

* Tue Aug  1 2006 Matthias Saou <http://freshrpms.net/> 1.5.4-2
- Don't assume we have a sane default umask... (#200833).

* Sun Jun  2 2006 Matthias Saou <http://freshrpms.net/> 1.5.4-1
- Update to 1.5.4.

* Tue Apr 18 2006 Matthias Saou <http://freshrpms.net/> 1.5.3-1
- Update to 1.5.3.

* Mon Feb  6 2006 Matthias Saou <http://freshrpms.net/> 1.5.2-1
- Update to 1.5.2.
- Update config patch.
- Update %%doc files.

* Sun Dec 18 2005 Tommy Reynolds <Tommy.Reynolds@MegaCoder.com> 1.3.5-3
- Remove extraneous '\' from XML output, so that <screen>..</screen>
  does not generate '\' 'n' outside of any markup.

* Mon Aug 15 2005 Matthias Saou <http://freshrpms.net/> 1.3.5-2
- Fix python modules path from _libdir to _prefix/lib so that build works on
  64bit systems too.

* Mon Aug 15 2005 Matthias Saou <http://freshrpms.net/> 1.3.5-1
- Update to 1.3.5.
- Update the config patch.
- Update %%doc section (many moved to docs/).

* Wed Jun 15 2005 Matthias Saou <http://freshrpms.net/> 1.3.4-1
- Update to 1.3.4.
- Update the config patch.
- Move the README.redhat file out from the patch and rename it to README-rpm.

* Tue Apr 19 2005 Matthias Saou <http://freshrpms.net/> 1.3.3-2
- Adapted for inclusion into Extras.
- Merge relevant bits from Jeff's pyvault version.

* Wed Dec 22 2004 Florian La Roche <Florian.LaRoche@redhat.de>
- 1.3.1

* Thu Dec 09 2004 Florian La Roche <Florian.LaRoche@redhat.de>
- 1.3.0

* Sun Nov 07 2004 Florian La Roche <Florian.LaRoche@redhat.de>
- 1.3beta4

* Fri Aug 06 2004 Florian La Roche <Florian.LaRoche@redhat.de>
- update to 1.2.3

* Wed May 19 2004 - Kai.Puolamaki@iki.fi
- Fix also directory permissions...

* Mon May 17 2004 - Kai.Puolamaki@iki.fi
- Fix file permissions

* Fri May 14 2004 - Kai.Puolamaki@iki.fi
- 1.2.1
- Home build

